# -*- coding: cp866 -*-
#---------------------------------------------------------------------------
#
# myftp.py: ⥪ ࠡ  FTP
#
#---------------------------------------------------------------------------

#  㦭 㭪権
import os
from ftplib import FTP
from myzip import *

VERBOSE = 1

# 稢 䠩  FTP:
# । ᫥騥 ࠬ:
#    fromdir - -筨  FTP-ࢥ
#    file -  ᪠稢 䠩
#    (fromsite, ftpuser, ftppassword) - FTP-ࢥ  /஫  室
#    todir - 쭠   ࠭ ᪠砭 䠩
#
def getftp(fromdir, file, (fromsite, ftpuser, ftppassword), todir):
	olddir = os.getcwd()	#  ⥪騩 ⠫
	os.chdir(todir)		# 室   祭
	if VERBOSE: print 'myftp: ⠭ ᮥ  %s...' % fromsite
	try:
		localfile = open(file, 'wb')
		connection = FTP(fromsite)
		connection.login(ftpuser, ftppassword)
		connection.cwd(fromdir)
	except:
		print 'myftp:    %s!' % fromsite
		return(-1)
	if VERBOSE: print 'myftp:   %s ⠭.' % fromsite
	
	if VERBOSE: print 'myftp: 믮 㧪 %s...' % file
	try:
		connection.retrbinary('RETR ' + file, localfile.write, 1024)
		connection.quit()
		localfile.close()
	except:
		print 'myftp:    %s' % file
		return(-2)
	if VERBOSE: print 'myftp: 㧪 䠩 %s 襭.' % file
	
	# ᯮ㥬 try, ᪮ ᪠砭 䠩   
	#  zip-娢.    뫮  ஢  :
	try: readallzip(file)
	except: print 'myftp: %s   娢, 饭  .' % file
	
	os.chdir(olddir)		# 頥  ० ⠫

# 㧪 䠩  FTP  ࢥ:
# । ᫥騥 ࠬ:
#    fromdir - 쭠 -筨
#    file -  ࠢ塞 zip-䠩
#    pattern - ᯨ᮪ 蠡  ࠢ
#    (fromsite, ftpuser, ftppassword) - FTP-ࢥ  /஫  室
#    todir -   FTP-ࢥ  㧪 䠩
#
def putftp(fromdir, zipfile, pattern, (tosite, ftpuser, ftppassword), todir):
	olddir = os.getcwd()
	os.chdir(fromdir)
	
	if VERBOSE: print 'myftp: ⮢ 䠩  ࠢ...'
	writepattzip(zipfile, pattern)
	if VERBOSE: print 'myftp:  㯠  %s.' % zipfile
	
	if VERBOSE: print 'myftp: ⠭ ᮥ  %s...' % tosite
	try:
		localfile = open(zipfile, 'rb')
		connection = FTP(tosite)
		connection.login(ftpuser, ftppassword)
		connection.cwd(todir)
	except:
		print 'myftp:    %s' % tosite
		return(-2)
	if VERBOSE: print 'myftp:   %s ⠭' % tosite
	
	if VERBOSE: print 'myftp: 믮 ࠢ 䠩 %s...' % zipfile
	try:
		connection.storbinary('STOR ' + zipfile, localfile, 1024)
		connection.quit()
		localfile.close()
	except:	
		print 'myftp:    %s!' % zipfile
		return(-2)
	if VERBOSE: print 'myftp:  %s ࠢ.' % zipfile
	
	os.chdir(olddir)

