# -*- coding: cp866 -*-
#---------------------------------------------------------
#
# myzip.py: ⥪ ࠡ  zip-娢
#
#---------------------------------------------------------

# ⥪  ࠡ  zip-娢
from zipfile import *
#  㭪 glob  室 ⠫
from glob import glob

# ᫨   - 뢮 ᮮ饭  ࠭
VERBOSE = 1

# ⪠ 娢     䠩:
# 娢 뢠  ,  ࠧ 뢠
def clearzip(zipname):
	if VERBOSE: print 'myzip: ⪠ 娢 %s.' % zipname
	zip = ZipFile(zipname, 'w', ZIP_DEFLATED)
	zip.close

# 㭪  䠩  娢: 
# 㪠 䠩   騬
def writezip(zipname, filename):
	if VERBOSE: print 'myzip: 뢠 %s  %s.' % (filename, zipname)
	zip = ZipFile(zipname, 'a', ZIP_DEFLATED)
	zip.write(filename)
	zip.close

#   娢  䠩  ⠫, 㤮⢮ 蠡
def writepattzip(zipname, patterns):
	if VERBOSE: print 'myzip:  娢 %s...' % zipname
	clearzip(zipname)
	for pattern in patterns:
		filelist = glob(pattern)
		for filename in filelist:
			writezip(zipname, filename)
	if VERBOSE: print 'myzip: 娢 ᮧ.'

# 祭 䠩  娢
def readzip(zipname, filename):
	if VERBOSE: print 'myzip:  %s  %s.' % (filename, zipname)
	zip = ZipFile(zipname, 'r', ZIP_DEFLATED)
	open(filename, 'wb').write(zip.read(filename))
	zip.close

# 祭  䠩  娢
def readallzip(zipname):
	if VERBOSE: print 'myzip: ⠥ 娢 %s...' % zipname
	zip = ZipFile(zipname, 'r', ZIP_DEFLATED)
	for filename in zip.namelist():
		readzip(zipname, filename)
	zip.close
	if VERBOSE: print 'myzip: 娢 ⥭.'

# ᫨ ᪠   ப,   - ᤥ
if __name__ == '__main__': print '쪮  ⥪.'
